#ifdef GL_ES
precision mediump float;
#endif
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float u_time;

void main()
{
    vec4 retCol = texture2D(CC_Texture0, v_texCoord);
    //流动方向为从右到左
    float tx = v_texCoord.x - u_time / 4. * 1.1; // 1.1 = 1 + 第二条条纹宽度
    float ty = v_texCoord.y - u_time / 4. * 1.1;    

    float a = 1.0;//y轴比例
    float b = 1.0;//x轴比例
    float c = 0.;// 偏移量
    float strength = 1.0;   //流光增亮强度
    float w = 0.07;         //条纹宽度

    float ap = abs(a * tx + b * ty + c);
    //使用smoothstep，让宽度区域内值为0高亮；宽度外则值为1原色值
    float ran = 1. - strength * smoothstep(w - .004, w + .004, ap);
    retCol = retCol * (ran + strength);

    w = 0.02;//第二条条纹宽度
    tx += 0.1;//两条条纹间距
    ty += 0.1;//两条条纹间距

    ap = abs(a * tx + b * ty + c);
    ran = 1. - strength * smoothstep(w - .004, w + .004, ap);
    retCol = retCol * (ran + strength);

    gl_FragColor = retCol;
}